Bug 102118 - [patch sbin/ifconfig/ifconfig.8] Add -v to the description of 'scan' and 'list scan'
Summary: [patch sbin/ifconfig/ifconfig.8] Add -v to the description of 'scan' and 'lis...
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tom Rhodes
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-15 22:30 UTC by Dominic Fandrey
Modified: 2006-11-03 09:20 UTC (History)
0 users

See Also:


Attachments
file.diff (750 bytes, patch)
2006-08-15 22:30 UTC, Dominic Fandrey
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Fandrey 2006-08-15 22:30:40 UTC
The Manpage ifconfig(8) doesn't mention that the -v flag can be used to read long SSIDs.
Comment 1 Tom Rhodes freebsd_committer 2006-10-10 03:16:43 UTC
Hi,

I don't have a wireless network available for reconfiguration, so
this patch has been sent to Sam Leffler:

Index: ifconfig.8
===================================================================
RCS file: /home/ncvs/src/sbin/ifconfig/ifconfig.8,v
retrieving revision 1.122
diff -u -r1.122 ifconfig.8
--- ifconfig.8  2 Oct 2006 08:55:54 -0000       1.122
+++ ifconfig.8  10 Oct 2006 02:12:21 -0000
@@ -28,7 +28,7 @@
 .\"     From: @(#)ifconfig.8   8.3 (Berkeley) 1/5/94
 .\" $FreeBSD: src/sbin/ifconfig/ifconfig.8,v 1.122 2006/10/02 08:55:54 schweikh Exp $
 .\"
-.Dd September 6, 2006
+.Dd October 9, 2006
 .Dt IFCONFIG 8
 .Os
 .Sh NAME
@@ -744,6 +744,9 @@
 .It Cm list scan
 Display the access points and/or ad-hoc neighbors
 located in the vicinity.
+The
+.Cm v
+flag may be used to display long SSIDs.
 This information may be updated automatically by the adaptor
 and/or with a
 .Cm scan
@@ -923,6 +926,10 @@
 .Cm list scan
 request can be used to show recent scan results without
 initiating a new scan.
+.Pp
+The
+.Cm Fl v
+flag may be used to prevent the shortening of long SSIDs.
 .It Cm stationname Ar name
 Set the name of this station.
 It appears that the station name is not really part of the IEEE 802.11

-- 
Tom Rhodes
Comment 2 Tom Rhodes freebsd_committer 2006-10-10 03:20:29 UTC
State Changed
From-To: open->patched

Patched in CURRENT, slightly different patch committed. 
Thanks for the submission! 


Comment 3 Tom Rhodes freebsd_committer 2006-10-10 03:20:29 UTC
Responsible Changed
From-To: freebsd-doc->trhodes

Over to me, MFC reminder.
Comment 4 dfilter service freebsd_committer 2006-10-10 03:20:38 UTC
trhodes     2006-10-10 02:20:12 UTC

  FreeBSD src repository

  Modified files:
    sbin/ifconfig        ifconfig.8 
  Log:
  Note that the -v option may be used to expand long SSIDs.
  
  PR:             102118
  Reviewed by:    sam
  
  Revision  Changes    Path
  1.123     +8 -1      src/sbin/ifconfig/ifconfig.8
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Tom Rhodes freebsd_committer 2006-11-03 09:14:41 UTC
State Changed
From-To: patched->closed

The changes have been merged into RELENG_6, thanks!
Comment 6 dfilter service freebsd_committer 2006-11-03 09:14:57 UTC
trhodes     2006-11-03 09:14:24 UTC

  FreeBSD src repository

  Modified files:        (Branch: RELENG_6)
    sbin/ifconfig        ifconfig.8 
  Log:
  MFC:
    Note that the -v option may be used to expand long SSIDs.
    Use .Fl inplace of .Cm (ru change).
  
    PR:             102118
    Reviewed by:    sam
  
  Approved by:    re (hrs)
  
  Revision   Changes    Path
  1.95.2.17  +8 -1      src/sbin/ifconfig/ifconfig.8
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"